.TH BACKDROP 1 "AMIGA Programmer's Manual" "Copyright Eddy Carroll 1989"
.SH NAME
backdrop - adds a backdrop behind workbench windows
.SH SYNOPSIS
backdrop {-a# | -b# | -f | -p# | -q | -s | b1b2b3b4b5b6b7b8}
.SH DESCRIPTION
Backdrop allows you to define a pattern which will then be displayed on
the workbench screen in the normally empty area behind all the windows.
I originally wrote it because I was experimenting an overscan interlaced
workbench, and I wanted to get that 'workstation' look. The only program
I had which would give a similar effect was DropCloth by Eric Lavitsky,
but this requires Workbench to be loaded. Backdrop will not
cohabit very well with Workbench, which suits me fine since I hardly
ever use Workbench.

The first time you run Backdrop, it detaches itself from the CLI and
hangs around in memory until you tell it to quit. You can change the
current settings by running Backdrop again with different options.
Only those options you specify will be altered, all the others will remain
unchanged.

The following options can be specified:

-a followed by a number sets the foreground colour used to
plot the pattern to the pen number specified
(normally 0 to 3). Similarly, -b sets the background colour.

-f and -s select the window type used by Backdrop. -f uses a SMART_REFRESH
window, which results in fast updating of the screen, but can use up to 64K of
chip memory (in interlace mode). -s uses a SIMPLE_REFRESH window, which
gives slower updating of the screen but doesn't use up any chip memory.
If you can afford the memory, -f looks much more professional.

-p followed by a number selects one of the built in patterns for display.
Pattern 0 is the default pattern. Numbers from 1 upwards select other
patterns. If you try to select a non-existant pattern, you get the
default pattern.

-q tells any copy of Backdrop already resident in memory to remove itself,
and restore the screen back to normality. If Backdrop isn't already resident,
then this option has no effect.

Finally, you can define your own unique pattern by giving a list of 16 hex
digits. These are interpreted as 8 bytes, with each byte corresponding to
one row of an 8x8 grid. This grid is then replicated over the entire screen
to form the pattern. Try experimenting with random values to generate some
unique patterns.

Any or all of these options may be present on the command line, and
order is not important. You can get a summary of these options by invoking
Backdrop with -h (or any other invalid option).
.SH CAVEATS
If you try running this when Workbench is running, Workbench will disappear
(this could be viewed as a benefit :-) You can quite easily recover
Workbench by telling Backdrop to quit with the -q option.
.SH DISTRIBUTION
Although I retain copyright of Backdrop, it may be freely redistributed
as long as no charge is made other than to cover distribution costs.
.SH EXAMPLES
.bo "Backdrop
installs a simple backdrop pattern
.br
.bo "Backdrop -a0 -b3 -p1
installs a red brick wall pattern
.br
.bo "Backdrop -a2 cccc666633339999
installs dark stripes pattern
.SH AUTHOR
Eddy Carroll
.br
The Old Rectory,
.br
Delgany, Co. Wicklow,
.br
Ireland.

EMAIL: ecarroll@@cs.tcd.ie
